> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate an address to a location code

> Determine a location code based on a submitted home or work address. Location codes are used by the Symmetry Tax Engine to identify which state, county, and jurisdiction boundaries contain a given address.



## OpenAPI

````yaml /ste/api-reference/ste-hosted-api.yaml post /v2/locationCode
openapi: 3.0.3
info:
  title: STE Hosted API
  description: Symmetry Tax Engine Hosted API
  version: all
  termsOfService: https://www.symmetry.com/terms
  contact:
    name: Symmetry Website
    url: https://www.symmetry.com/
servers:
  - url: https://ste.symmetry.com/ste-hosted
security:
  - apiKey: []
tags:
  - name: Account Information and Schema
    description: Account information and schema retrieval endpoints
  - name: Benefits
    description: Employee benefits status and information
  - name: Location Code
    description: Location code lookup
  - name: Location Tax Information
    description: Location-based tax information and configuration
  - name: Payroll Calculations
    description: Payroll tax calculation endpoints
  - name: Tax Information
    description: Tax ID and reference information
  - name: Documentation
    description: API documentation and specification
  - name: STEVersions
    description: Installed STE database version discovery
paths:
  /v2/locationCode:
    post:
      tags:
        - Location Code
      summary: Translate an address to a location code
      description: >-
        Determine a location code based on a submitted home or work address.
        Location codes are used by the Symmetry Tax Engine to identify which
        state, county, and jurisdiction boundaries contain a given address.
      operationId: locationCode
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                LocationCodeRequest:
                  $ref: '#/components/schemas/LocationCodeRequest'
            example:
              LocationCodeRequest:
                locations:
                  - locationName: Work
                    address:
                      streetAddress1: 14350 N 87th St
                      streetAddress2: Ste 310
                      city: Scottsdale
                      state: AZ
                      zipCode: '85260'
                  - locationName: Home
                    geoCoordinates:
                      latitude: 38.214751
                      longitude: -85.697537
                verbose: true
          application/xml:
            schema:
              type: object
              properties:
                LocationCodeRequest:
                  $ref: '#/components/schemas/LocationCodeRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationCodeResponse'
              example:
                LocationCodeResponse:
                  transactionStamp:
                    calcDateTime: '2026-03-24T13:32:44Z'
                    steVersion: 2026-R1
                    schemaVersion: v2
                    totalTransactions: 2
                    failedTransactions: 0
                    transactionType: LocationCode
                  errorStatus:
                    errorCode: 0
                    errorMessage: ''
                  httpStatusCode: 200
                  locations:
                    - locationName: Home
                      locationCodeDetails:
                        jurisdictions:
                          - name: Jefferson County School District
                            steCode: 2990
                            steCodeType: SCHL
                          - name: Jefferson
                            steCode: '111'
                            steCodeType: CNTY
                          - name: Louisville
                            steCode: '488655'
                            steCodeType: CITY
                        locationCode: 21-111-488655
                    - locationName: Work
                      locationCodeDetails:
                        jurisdictions:
                          - name: Maricopa
                            steCode: '013'
                            steCodeType: CNTY
                        locationCode: 04-013-0000
            application/xml:
              schema:
                $ref: '#/components/schemas/LocationCodeResponse'
components:
  schemas:
    LocationCodeRequest:
      type: object
      properties:
        locations:
          type: array
          items:
            $ref: '#/components/schemas/locationType'
          description: Up to 5 locations can be sent simultaneously.
        verbose:
          type: boolean
          description: >-
            Set to `true` if you want additional details returned about the
            location code and the geocoding process. Defaults to `false` if not
            set.
    LocationCodeResponse:
      type: object
      properties:
        httpStatusCode:
          type: integer
        errorStatus:
          $ref: '#/components/schemas/errorType'
        locations:
          type: array
          items:
            $ref: '#/components/schemas/locationCodeResponseLocationsType'
          description: Up to 5 locations can be sent simultaneously.
        transactionStamp:
          $ref: '#/components/schemas/transactionStampType'
    locationType:
      type: object
      properties:
        locationName:
          nullable: true
          type: string
          description: >-
            The name you want to use for this location. Returned with each
            location result in the response.
        address:
          $ref: '#/components/schemas/addressType'
        geoCoordinates:
          $ref: '#/components/schemas/geoCoordinatesType'
    errorType:
      type: object
      properties:
        errorCode:
          type: integer
        errorMessage:
          type: string
    locationCodeResponseLocationsType:
      type: object
      properties:
        locationName:
          nullable: true
          type: string
          description: >-
            The name you want to use for this location. Returned with each
            location result in the response.
        locationCodeDetails:
          $ref: '#/components/schemas/locationCodeDetailsType'
        messages:
          type: array
          items:
            $ref: '#/components/schemas/slsMessagesType'
        isGeocoded:
          type: boolean
        latitude:
          nullable: true
          type: number
        longitude:
          nullable: true
          type: number
        inputGeoCoordinates:
          $ref: '#/components/schemas/geoCoordinatesType'
        normalizedAddress:
          $ref: '#/components/schemas/addressType'
        inputAddress:
          $ref: '#/components/schemas/addressType'
    transactionStampType:
      type: object
      properties:
        calcDateTime:
          $ref: '#/components/schemas/dateTime'
        failedTransactions:
          type: integer
        schemaVersion:
          type: string
        steVersion:
          type: string
        totalTransactions:
          type: integer
        transactionType:
          type: string
          enum:
            - PayCalc
            - LocationCode
            - JurisdictionData
            - SetTaxList
            - BenefitStatus
            - BenefitInfo
            - TaxIDList
            - GrossUp
            - GetSchema
            - AccountInfo
            - STEVersions
    addressType:
      type: object
      properties:
        streetAddress1:
          nullable: true
          type: string
        streetAddress2:
          nullable: true
          type: string
        city:
          nullable: true
          type: string
        state:
          nullable: true
          type: string
        zipCode:
          nullable: true
          type: string
    geoCoordinatesType:
      type: object
      properties:
        latitude:
          nullable: true
          type: number
        longitude:
          nullable: true
          type: number
    locationCodeDetailsType:
      type: object
      properties:
        jurisdictions:
          type: array
          items:
            $ref: '#/components/schemas/slsJurisdictionsType'
        locationCode:
          $ref: '#/components/schemas/locationCodeType'
        locationCodeFull:
          nullable: true
          type: string
        psdCode:
          nullable: true
          type: string
        eitRate:
          nullable: true
          type: string
    slsMessagesType:
      type: object
      properties:
        code:
          nullable: true
          type: string
        shortDescription:
          nullable: true
          type: string
        longDescription:
          nullable: true
          type: string
    dateTime:
      type: string
    slsJurisdictionsType:
      type: object
      properties:
        name:
          nullable: true
          type: string
        steCode:
          nullable: true
          type: string
        steCodeType:
          nullable: true
          type: string
    locationCodeType:
      type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key for authentication. Provide the raw key as the value of the
        Authorization header (no "Bearer" prefix).

````